#!/bin/bash

##################
### Definition ###
##################

## Used source
SOURCE=patched

## Number of runs
NUMRUN=5

## Measurement duration
DURATION=120

## Number of clients during a run
NUMCLIENTS=60

###########################
### measure performance ###
###########################

for i in `seq ${NUMRUN}`
do
    # Prepare clean enviroment for each measurements
    ./setup.sh $SOURCE

    echo "=================="
    echo "${SOURCE}_${i}.dat"
    echo "=================="

    # Do actual measurements                                                                                        
    pgbench -p 5431 -U postgres postgres -c $NUMCLIENTS -j $NUMCLIENTS -T $DURATION  &> "${SOURCE}_${i}.dat"
done
